petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabGetLocalVertices

Get the entities having DOFs on this DMMoab

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetLocalVertices(DM dm,const moab::Range **owned,const moab::Range **ghost)

Collective on MPI_Comm

### Input Parameter

dm -The DMMoab object being set

### Output Parameter

owned -The owned vertex entities in this DMMoab
ghost -The ghosted entities (non-owned) stored locally in this partition

### Keywords

DMMoab, create

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex30.cxx.html
src/ts/examples/tutorials/ex30.cxx.html